{
  description = "Freeware games by Christine Love";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };

  outputs = { self, nixpkgs }:
    let
      systems = [ "x86_64-linux" "i686-linux" ];
      forAllSystems = nixpkgs.lib.genAttrs systems;
    in
    {
      packages = forAllSystems (system: import ./default.nix {
        pkgs = nixpkgs.legacyPackages."${system}";
      });

      legacyPackages = forAllSystems (system: import ./default.nix {
        pkgs = import nixpkgs { inherit system; };
      });

      overlays.default = final: prev: {
        scoutshonour = import ./default.nix { pkgs = final; };
      };
    };
}
